EOLINKER AGW 1.5版本流量控制插件紧急修复通知

EOLINKER AGW 于2018年11月12日下午18:45发布了流量控制修复补丁,该补丁修复了 EOLINKER AGW 1.5版本的流量控制插件在 Redis 版本与部分 Linux 发行版本不匹配的情况下,导致连接超时无法与 redis 同步数据的问题。

为了保障您的服务稳定运行,请及时更新以下产品模块:

  1. 流控插件(goku-rate_limiting.so)
  2. 控制台程序(goku-ee-adimin)

更新步骤

  1. 停止 EOLINKER AGW 控制台,进入控制台所在的 goku-ee-controller 文件夹并替换goku-ee-admin文件,随后重启控制台;
  2. 无需停止节点,进入网关节点所在的 goku-ee-gateway/plugin 文件夹,依次替换各节点的 goku-rate_limiting.so 文件并在控制台重启各节点。

其他说明

  1. 因为 EOLINKER AGW 控制台和网关节点是分离的,所以停止控制台并不会对正常运行的业务造成影响;
  2. 本次更新不会涉及到数据库等更新,但是为了预防意外情况发生,请在更新之前备份数据库以及更新步骤中涉及的文件;
  3. 如有任何疑问请联系 EOLINKER AGW 的企业技术客服,我们将会尽快为您解答。